[python-bumps] 01/05: Add autopkgtest tests

Stuart Prescott stuart at debian.org
Fri Nov 3 14:21:37 UTC 2017


This is an automated email from the git hooks/post-receive script.

stuart pushed a commit to branch master
in repository python-bumps.

commit 2ae44448d658734c577e97063f335c25082a2c46
Author: Stuart Prescott <stuart at debian.org>
Date:   Sat Nov 4 01:18:18 2017 +1100

    Add autopkgtest tests
---
 debian/tests/control       | 16 ++++++++++++++++
 debian/tests/python-bumps  | 11 +++++++++++
 debian/tests/python3-bumps | 11 +++++++++++
 3 files changed, 38 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..0139ba7
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,16 @@
+Tests: python-bumps
+Restrictions: allow-stderr
+Depends:
+ python-all,
+ python-bumps,
+ python-nose,
+ python-sklearn,
+ python-wxgtk3.0
+
+Tests: python3-bumps
+Restrictions: allow-stderr
+Depends:
+ python3-all,
+ python3-bumps,
+ python3-nose,
+ python3-sklearn
diff --git a/debian/tests/python-bumps b/debian/tests/python-bumps
new file mode 100755
index 0000000..d9fd3dd
--- /dev/null
+++ b/debian/tests/python-bumps
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e -u
+export PYTHONWARNINGS=d
+
+cp test.py "$ADTTMP"
+
+cd "$ADTTMP"
+
+for py in $(pyversions -i); do
+  $py -m nose -v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE bumps
+done
diff --git a/debian/tests/python3-bumps b/debian/tests/python3-bumps
new file mode 100644
index 0000000..773b1c0
--- /dev/null
+++ b/debian/tests/python3-bumps
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e -u
+export PYTHONWARNINGS=d
+
+cp test.py "$ADTTMP"
+
+cd "$ADTTMP"
+
+for py in $(py3versions -i); do
+  $py -m nose -v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE -egui bumps
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/python-bumps.git



More information about the debian-science-commits mailing list